
TYPO3.Flow - Bug # 10185

Status: Resolved Priority: Should have
Author: Tim Eilers Category: - Documentation -
Created: 2010-10-10 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Wrong rule in Coding Guidelines for file naming
Description

Either this is a special exception or simply wrong:

                <listitem>
                  <para><filename>FLOW3/Package/Manager.php</filename></para>
                  <para>Contains the class
                  <classname>\F3\FLOW3\Package\PackageManager</classname>
                  which is part of the package
                  <package>\F3\FLOW3</package></para>
                </listitem>

Shouldn't the filename be "PackageManager.php" or the class name "\F3\FLOW3\Package\Manager"?

Associated revisions
Revision 228d4e9a - 2010-10-11 13:26 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Documentation): Fix some small issues in CGL

Change-Id: Ie734c75cf13a6c6deef56f2c6ea7422bda7625a1
Fixes: #10181
Fixes: #10185

History
#1 - 2010-10-11 06:22 - Sebastian Kurfuerst

Hey Tim,

you are right, the filename is PackageManager.php, so it is wrong documentation.

Greets,
Sebastian

#2 - 2010-10-11 12:55 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 13
#3 - 2010-10-11 13:28 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2010-10-12 11:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"228d4e9a256d6eacfe7c1b1f632faf6c29e2e5f9".
